<?php
// START APPOINTMENT SECTION 
$wp_customize->add_section(
	'lz_featured_pages',
	array(
		'title'   => __( 'Our Designs Section', 'gurukul' ),
		'panel'   => 'lz_fitness_premium_home_panel',
	)
);
    //ENABLE/DISABLE Appointment SECTION
$wp_customize->add_setting(
	'lz_featured_pages_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_featured_pages_disable',
		array(
			'settings'      => 'lz_featured_pages_disable',
			'section'       => 'lz_featured_pages',
			'label'         => __( 'Disable Section', 'gurukul' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'gurukul' ),
				'off' => __( 'No', 'gurukul' ) 
			)   
		)
	)
);

backgroundManager($wp_customize, 'fpage', 'lz_featured_pages', $color='#ffffff');


// Adding the Label
lzCustomLable($wp_customize, 'lz_featured_pages_title_subtitle_heading', 'lz_featured_pages', 'Section Title & Sub Title');
//add textarea
lzAddElement($wp_customize, 'lz_featured_pages_sub_title', 'lz_featured_pages', 'textarea', $label="Title", 'lz_fitness_sanitize_text', 'Lorem Ipsum is simply text');

//add textarea
lzAddElement($wp_customize, 'lz_featured_pages_title', 'lz_featured_pages', 'text', $label="Sub Title", 'lz_fitness_sanitize_text', 'OUR DESIGNS');


// Heading color
addColorPalatOption($wp_customize, 'lz_featured_pages_HeadingColor', 'lz_featured_pages', 'Heading color', '#7854c0');
// Text color
addColorPalatOption($wp_customize, 'lz_featured_pages_TextColor', 'lz_featured_pages', 'Sub Heading color', '#000000');
// icon color
//addColorPalatOption($wp_customize, 'lz_featured_pages_IconColor', 'lz_featured_pages', 'Icon color', '#ffffff');
// Title color
//addColorPalatOption($wp_customize, 'lz_featured_pages_TitleColor', 'lz_featured_pages', 'Title color', '#ffffff');
// courses background color
//addColorPalatOption($wp_customize, 'lz_featured_pages_CoursesColor', 'lz_featured_pages', 'Courses Background Color', 'transparent');
// courses FRONT background color

// courses BACK background color
//addColorPalatOption($wp_customize, 'lz_featured_pages_CoursesBColor', 'lz_featured_pages', 'Courses Back Background Color', '#00dfc4');




// Adding the Label
//lzCustomLable($wp_customize, 'lz_featured_pages_npp_heading', 'lz_featured_pages', 'Number Of featured Pages');

//$limit = array(1,2,3,4,5,6,7,8);
//add textarea
//lzAddElement($wp_customize, 'lz_featured_pages_npp_count', 'lz_featured_pages', 'select', $label="Number of pages to show", 'lz_fitness_sanitize_text', 2, $limit);

// Adding the Label
//lzCustomLable($wp_customize, 'lz_featured_pages_npp_heading', 'lz_featured_pages', 'Select the page');


// foreach($limit as $v){	
// 	$wp_customize->add_setting(
//         'lz_fitness_featured_page_'.$v,
//         array(
//             'sanitize_callback' => 'absint',
//             'default'           => 0,
//         )
//     );
//     $wp_customize->add_control(
//         'lz_fitness_featured_page_'.$v,
//         array(
//             'settings'      => 'lz_fitness_featured_page_'.$v,
//             'section'       => 'lz_featured_pages',
//             'type'          => 'dropdown-pages',
//             'label'         => __( 'Select a Page', 'gurukul' )
//         )
//     );
// 	$wp_customize->add_setting(
//         'lz_fitness_featured_page_icon_'.$v,
//         array(
//             'default'           => 'fa fa-bell',
//             'sanitize_callback' => 'lz_fitness_sanitize_text'
//         )
//     );        
//     $wp_customize->add_control(
//         new lz_fitness_Fontawesome_Icon_Chooser(
//             $wp_customize,
//             'lz_fitness_featured_page_icon_'.$v,
//             array(
//                 'settings'      => 'lz_fitness_featured_page_icon_'.$v,
//                 'section'       => 'lz_featured_pages',
//                 'type'          => 'icon',
//                 'label'         => __( 'FontAwesome Icon', 'gurukul' ),
//             )
//         )
//     );
//     addColorPalatOption($wp_customize, 'lz_featured_pages_CoursesFColor'.$v, 'lz_featured_pages', 'Courses Front Background Color', '#fc91af');
//     lzAddElementSeparator($wp_customize, 'lz_featured_pages_separator_'.$v, 'lz_featured_pages');

//     // Icon color
// //addColorPalatOption($wp_customize, 'lz_featured_pages_IconColor', 'lz_feature_pages', 'Icon color', '#e05b1d');

// // Button color
// //addColorPalatOption($wp_customize, 'lz_featured_pages_buttonColor', 'lz_featured_pages', 'Button color', '#fff');

// }

// END APPOINTMENT SECTION 
$wp_customize->add_setting(
        'lz_fitness_featured_image_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_featured_image_heading',
            array(
                'settings'      => 'lz_fitness_featured_image_heading',
                'section'       => 'lz_featured_pages',
                'label'         => __( 'Our Design Image1', 'lz-fitness-premium' ),
            )
        )
    );
    $wp_customize->add_setting(
        'lz_fitness_featured_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'lz_fitness_featured_image',
            array(
                'section' => 'lz_featured_pages',
                'settings' => 'lz_fitness_featured_image',
                'description' => __('Recommended Image Size: 500X600px', 'lz-fitness-premium')
            )
        )
    );

    //image2//
$wp_customize->add_setting(
        'lz_fitness_featured_images_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_featured_images_heading',
            array(
                'settings'      => 'lz_fitness_featured_images_heading',
                'section'       => 'lz_featured_pages',
                'label'         => __( 'Our Design Image2', 'lz-fitness-premium' ),
            )
        )
    );
    $wp_customize->add_setting(
        'lz_fitness_featured_images',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'lz_fitness_featured_images',
            array(
                'section' => 'lz_featured_pages',
                'settings' => 'lz_fitness_featured_images',
                'description' => __('Recommended Image Size: 500X600px', 'lz-fitness-premium')
            )
        )
    );
    //
    //image3//
$wp_customize->add_setting(
        'lz_fitness_featured_imagess_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_featured_imagess_heading',
            array(
                'settings'      => 'lz_fitness_featured_imagess_heading',
                'section'       => 'lz_featured_pages',
                'label'         => __( 'Our Design Image3', 'lz-fitness-premium' ),
            )
        )
    );
    $wp_customize->add_setting(
        'lz_fitness_featured_imagess',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'lz_fitness_featured_imagess',
            array(
                'section' => 'lz_featured_pages',
                'settings' => 'lz_fitness_featured_imagess',
                'description' => __('Recommended Image Size: 500X600px', 'lz-fitness-premium')
            )
        )
    );
    //image4//
$wp_customize->add_setting(
        'lz_fitness_featured_imagesss_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_featured_imagesss_heading',
            array(
                'settings'      => 'lz_fitness_featured_imagesss_heading',
                'section'       => 'lz_featured_pages',
                'label'         => __( 'Our Design Image4', 'lz-fitness-premium' ),
            )
        )
    );
    $wp_customize->add_setting(
        'lz_fitness_featured_imagesss',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'lz_fitness_featured_imagesss',
            array(
                'section' => 'lz_featured_pages',
                'settings' => 'lz_fitness_featured_imagesss',
                'description' => __('Recommended Image Size: 500X600px', 'lz-fitness-premium')
            )
        )
    );